Payments
Get Payments
Authorization
appToken readAuthorizationBearer <token>
App access token issued by POST /tokens (client credentials). Full-access Apps hold the read and write scopes, read-only Apps hold read only. Send it as Authorization: Bearer <token>.
In: header
Scope: read
Query Parameters
limit?integer
Default
20offset?integer
Default
0filter[tradeAccountIdentifier]?string
Exact match on the trading account number of the trade the payment was made for.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/payments"{ "total": 0, "payments": [ { "paymentId": "string", "paymentState": "string", "paymentAmount": "string", "paymentCurrencyCode": "string", "paymentCurrencyPrecision": 0, "paymentFormulaUnitPrecision": 0, "paymentParentId": "string", "paymentPreferencesGroupId": "string", "tradeId": "string", "tradeAccountIdentifier": "string", "createTime": "2019-08-24T14:15:22Z", "updateTime": "2019-08-24T14:15:22Z" } ]}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}